<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: main.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('main_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">main.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>MediaServer Core Executable File.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="dmx__framework_8hpp_source.html">dmx_framework.hpp</a>&quot;</code><br />
<code>#include &quot;file_watcher.hpp&quot;</code><br />
<code>#include &quot;<a class="el" href="json__reader_8hpp_source.html">json_reader.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="media__framework_8hpp_source.html">media_framework.hpp</a>&quot;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;thread&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for main.cpp:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="main_8cpp__incl.svg" width="2054" height="784"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a4bb2a1073188fea56ed06cc6ca5318cb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8cpp.html#a4bb2a1073188fea56ed06cc6ca5318cb">reload_media_file</a> (<a class="el" href="classMediaReader.html">MediaReader</a> &amp;media_reader)</td></tr>
<tr class="memdesc:a4bb2a1073188fea56ed06cc6ca5318cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reloads mediafile.  <a href="main_8cpp.html#a4bb2a1073188fea56ed06cc6ca5318cb">More...</a><br /></td></tr>
<tr class="separator:a4bb2a1073188fea56ed06cc6ca5318cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62ff4bbdad1e8b10ee0771f049752381"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8cpp.html#a62ff4bbdad1e8b10ee0771f049752381">main</a> (int arg, char *argv[])</td></tr>
<tr class="memdesc:a62ff4bbdad1e8b10ee0771f049752381"><td class="mdescLeft">&#160;</td><td class="mdescRight">Main function for core application.  <a href="main_8cpp.html#a62ff4bbdad1e8b10ee0771f049752381">More...</a><br /></td></tr>
<tr class="separator:a62ff4bbdad1e8b10ee0771f049752381"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ae8423c97b069c6a968a47e238855e7d5"><td class="memItemLeft" align="right" valign="top"><a id="ae8423c97b069c6a968a47e238855e7d5"></a>
const std::string&#160;</td><td class="memItemRight" valign="bottom"><b>mediafile</b> = &quot;../../../web_app/files/medien.json&quot;</td></tr>
<tr class="separator:ae8423c97b069c6a968a47e238855e7d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>MediaServer Core Executable File. </p>
<dl class="section author"><dt>Author</dt><dd>Paul Hermann </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>2021-12-31</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2021 </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a62ff4bbdad1e8b10ee0771f049752381"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62ff4bbdad1e8b10ee0771f049752381">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>arg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>argv</em>[]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Main function for core application. </p>
<dl class="section return"><dt>Returns</dt><dd>int </dd></dl>

<p class="reference">References <a class="el" href="namespacegst.html#aa462fc1e16c877fa210e7def887314df">gst::init()</a>, and <a class="el" href="main_8cpp.html#a4bb2a1073188fea56ed06cc6ca5318cb">reload_media_file()</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="main_8cpp_a62ff4bbdad1e8b10ee0771f049752381_cgraph.svg" width="252" height="88"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
</div>

</div>
</div>
<a id="a4bb2a1073188fea56ed06cc6ca5318cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bb2a1073188fea56ed06cc6ca5318cb">&#9670;&nbsp;</a></span>reload_media_file()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void reload_media_file </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classMediaReader.html">MediaReader</a> &amp;&#160;</td>
          <td class="paramname"><em>media_reader</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Reloads mediafile. </p>
<p>Blocks if file does not exist</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">media_reader</td><td>media_reader object </td></tr>
  </table>
  </dd>
</dl>

<p class="reference">Referenced by <a class="el" href="main_8cpp.html#a62ff4bbdad1e8b10ee0771f049752381">main()</a>.</p>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="main_8cpp_a4bb2a1073188fea56ed06cc6ca5318cb_icgraph.svg" width="252" height="38"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_a7bb9b575703809b9fbb7ad7f723668f.html">local_app</a></li><li class="navelem"><a class="el" href="dir_2dd8821caa3735e5cc10a0a9bda4bcbb.html">core</a></li><li class="navelem"><a class="el" href="dir_5c933301a241bc9fe66a6ac6a0860a6b.html">src</a></li><li class="navelem"><a class="el" href="main_8cpp.html">main.cpp</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
